Bug 668496 - [abrt] radiotray-0.6.1-1.fc14: urllib2.py:1148:do_open:URLError: <urlopen error [Errno -2] Name or service not known>
Summary: [abrt] radiotray-0.6.1-1.fc14: urllib2.py:1148:do_open:URLError: <urlopen err...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: radiotray
Version: 14
Hardware: x86_64
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Jean-Francois Saucier
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:f927a57b
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-10 16:30 UTC by Mikko Eley
Modified: 2011-02-03 20:21 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-02-03 20:20:54 UTC


Attachments (Terms of Use)
File: backtrace (1.79 KB, text/plain)
2011-01-10 16:30 UTC, Mikko Eley
no flags Details

Description Mikko Eley 2011-01-10 16:30:24 UTC
abrt version: 1.1.14
architecture: x86_64
cmdline: /usr/bin/python /usr/bin/radiotray
component: radiotray
executable: /usr/bin/radiotray
kernel: 2.6.35.10-74.fc14.x86_64
package: radiotray-0.6.1-1.fc14
reason: urllib2.py:1148:do_open:URLError: <urlopen error [Errno -2] Name or service not known>
release: Fedora release 14 (Laughlin)
time: 1294676928
uid: 500

backtrace
-----
urllib2.py:1148:do_open:URLError: <urlopen error [Errno -2] Name or service not known>

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/radiotray/SysTray.py", line 175, in on_start
    self.mediator.play(radio)
  File "/usr/lib/python2.7/site-packages/radiotray/StateMediator.py", line 54, in play
    self.audioPlayer.start(url)
  File "/usr/lib/python2.7/site-packages/radiotray/AudioPlayerGStreamer.py", line 49, in start
    self.playlist = self.decoder.getPlaylist(urlInfo)
  File "/usr/lib/python2.7/site-packages/radiotray/StreamDecoder.py", line 104, in getPlaylist
    return urlInfo.getDecoder().extractPlaylist(urlInfo.getUrl())
  File "/usr/lib/python2.7/site-packages/radiotray/AsxPlaylistDecoder.py", line 48, in extractPlaylist
    f = urllib2.urlopen(req)
  File "/usr/lib64/python2.7/urllib2.py", line 126, in urlopen
    return _opener.open(url, data, timeout)
  File "/usr/lib64/python2.7/urllib2.py", line 391, in open
    response = self._open(req, data)
  File "/usr/lib64/python2.7/urllib2.py", line 409, in _open
    '_open', req)
  File "/usr/lib64/python2.7/urllib2.py", line 369, in _call_chain
    result = func(*args)
  File "/usr/lib64/python2.7/urllib2.py", line 1173, in http_open
    return self.do_open(httplib.HTTPConnection, req)
  File "/usr/lib64/python2.7/urllib2.py", line 1148, in do_open
    raise URLError(err)
URLError: <urlopen error [Errno -2] Name or service not known>

Local variables in innermost frame:
err: gaierror(-2, 'Name or service not known')
h: <httplib.HTTPConnection instance at 0x1774560>
self: <urllib2.HTTPHandler instance at 0x1774638>
req: <urllib2.Request instance at 0x1774ea8>
headers: {'Host': 'bbc.co.uk', 'Connection': 'close', 'User-Agent': 'Python-urllib/2.7'}
host: 'bbc.co.uk'
http_class: <class httplib.HTTPConnection at 0x169c050>

How to reproduce
-----
1.open radio tray
2. try to play BBC 6music stream
3. thats it

Comment 1 Mikko Eley 2011-01-10 16:30:27 UTC
Created attachment 472636 [details]
File: backtrace

Comment 2 Fedora Update System 2011-01-24 17:26:08 UTC
radiotray-0.6.3-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/radiotray-0.6.3-1.fc14

Comment 3 Fedora Update System 2011-01-24 17:37:44 UTC
radiotray-0.6.3-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/radiotray-0.6.3-1.fc13

Comment 4 Fedora Update System 2011-01-25 20:56:24 UTC
radiotray-0.6.3-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update radiotray'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/radiotray-0.6.3-1.fc14

Comment 5 Fedora Update System 2011-02-03 20:20:39 UTC
radiotray-0.6.3-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2011-02-03 20:21:34 UTC
radiotray-0.6.3-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.